org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Class LegacyGenericBindingRegistry

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.CompletableBindingRegistry
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.registry.LegacyGenericBindingRegistry

All Implemented Interfaces:
  BindingRegistry

    public class LegacyGenericBindingRegistry
    extends CompletableBindingRegistry

User: guillaume Date: 11/07/13 Time: 16:09

### Field Summary

Fields
`static Pattern` `CUSTOM_HANDLER_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`LegacyGenericBindingRegistry(BindingRegistry delegate, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<Binding>` `createBindings(org.objectweb.asm.Type type)`

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.registry.CompletableBindingRegistry

`addBindings, getBindings, selection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CUSTOM_HANDLER_PATTERN

    public static final Pattern CUSTOM_HANDLER_PATTERN

### Constructor Detail

#### LegacyGenericBindingRegistry

    public LegacyGenericBindingRegistry(BindingRegistry delegate,
                                        Reporter reporter)

### Method Detail

#### createBindings

    protected List<Binding> createBindings(org.objectweb.asm.Type type)

Specified by:
  `createBindings` in class `CompletableBindingRegistry`